Groovy 1.7.0

## groovy.lang
Class MethodIndex

    java.lang.Object
      org.codehaus.groovy.runtime.metaclass.MetaMethodIndex
          groovy.lang.MethodIndex

    class MethodIndex
    extends MetaMethodIndex

deprecated:
  use pickMethod instead

Field Summary

Fields inherited from class MetaMethodIndex
DEFAULT_CAPACITY, MAXIMUM_CAPACITY, MINIMUM_CAPACITY, size, table, threshold

Constructor Summary
`MethodIndex(boolean b)`
`MethodIndex(int size)`
`MethodIndex()`

Method Summary
`protected Object` | `clone()`
`MethodIndex` | `copy()`

Methods inherited from class MetaMethodIndex
MetaMethodIndex, addMethodToList, clear, clearCaches, clearCaches, copy, copy, copyAllMethodsToSuper, copyMethodsToSuper, copyNonPrivateMethods, copyNonPrivateMethods, copyNonPrivateMethodsDown, copyNonPrivateMethodsFromSuper, copyNonPrivateNonNewMetaMethods, getEntrySetIterator, getHeader, getMethods, getOrPutMethods, getTable, hash, init, isEmpty, resize, size

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### MethodIndex

    public MethodIndex(boolean b)

### MethodIndex

    public MethodIndex(int size)

### MethodIndex

    public MethodIndex()

Method Detail

### clone

    protected Object clone()

### copy

    public MethodIndex copy()

Copyright © 2003-2009 The Codehaus. All rights reserved.